﻿using UnityEngine;
using System.Collections;

public class LocationServices : MonoBehaviour {

	// Use this for initialization

	public float latitude;
	public float longitude;
	public float altitude;
	public float horizontalAccuracy;
	public double timestamp;

	IEnumerator Start() {
		if (!Input.location.isEnabledByUser)
			yield break;
		
		Input.location.Start();
		int maxWait = 100;
		while (Input.location.status == LocationServiceStatus.Initializing && maxWait > 0) {
			yield return new WaitForSeconds(1);
			maxWait--;
		}
		if (maxWait < 1) {
			print("Timed out");
			yield break;
		}
		if (Input.location.status == LocationServiceStatus.Failed) {
			print("Unable to determine device location");
			yield break;
		} else
			print("Location: " + Input.location.lastData.latitude + " " + Input.location.lastData.longitude + " " + Input.location.lastData.altitude + " " + Input.location.lastData.horizontalAccuracy + " " + Input.location.lastData.timestamp);
		//Input.location.Stop();
	}

	// Update is called once per frame
	void Update () {

		if (Input.location.status == LocationServiceStatus.Failed)
			print ("Unable to determine device location");
		else {
			print ("Location: " + Input.location.lastData.latitude + " " + Input.location.lastData.longitude + " " + Input.location.lastData.altitude + " " + Input.location.lastData.horizontalAccuracy + " " + Input.location.lastData.timestamp);
			latitude = Input.location.lastData.latitude;
			longitude = Input.location.lastData.longitude;
			altitude = Input.location.lastData.altitude;
			horizontalAccuracy = Input.location.lastData.horizontalAccuracy;
			timestamp = Input.location.lastData.timestamp;
		}
	}

	public bool Available()
	{
		return Input.location.status == LocationServiceStatus.Running;
	}


}
